/**
 * Vue工具类
 */
export default class VueTools {
  static instance = new VueTools()

  constructor () {
    if (VueTools.instance) {
      return VueTools.instance
    }
    VueTools.instance = this
  }

  static getInstance () {
    if (!VueTools.instance) {
      VueTools.instance = new VueTools()
    }
    return VueTools.instance
  }

  /**
   * 获取组件实例
   * @param vueRef vue实例
   * @param componentName 组件实例名（refName）
   * @returns {VueComponent}
   */
  getComponent (vueRef, componentName) {
    return vueRef.$refs[componentName]
  }
}
